import streamlit as st

def coreteks_homepage():
    # load pythonx logo
    st.image("./images/CoreTeksPicture.png", use_container_width =True)

    st.subheader("	:clap: Welcome to CoreTeks")

    st.markdown(
        """
        CoreTeks is an engaging and dynamic course designed to explore the ever-evolving world of IT technologies. Our mission is to connect learners with industry professionals and passionate individuals who are eager to share their expertise.

        Through a series of guest speaker sessions, CoreTeks introduces members to popular and cutting-edge IT tools, techniques, and innovations. Whether you're a seasoned expert or someone with unique IT skills to share, we welcome you to inspire and educate our community.

        Join us at CoreTeks, where knowledge meets collaboration, and technology shapes the future!
        """
    )

    st.divider()

    st.subheader("	:paperclip: CoreTeks Presentations")
    


    with st.expander("**🎤 04/08/2025: The State of Web Development in 2025 ```Speaker: Sam Packer```​**"):
        st.image("./images/04-08-2025-ModernWebDevelopment.jpg", use_container_width =True)
        st.link_button(label="Watch Video Recording", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:v:/g/personal/czhang_wtamu_edu/ERmywUF9OqdMm-VZ5NzBKlkBRt6dmEwVvRFZaZ3jfpkY8A?nav=eyJyZWZlcnJhbEluZm8iOnsicmVmZXJyYWxBcHAiOiJPbmVEcml2ZUZvckJ1c2luZXNzIiwicmVmZXJyYWxBcHBQbGF0Zm9ybSI6IldlYiIsInJlZmVycmFsTW9kZSI6InZpZXciLCJyZWZlcnJhbFZpZXciOiJNeUZpbGVzTGlua0NvcHkifX0&e=ZfLw0x", )
        st.divider()

    with st.expander("**🎤 04/01/2025: AI-powered Career Success with Quinncia ```Speaker: Kat Kane```​**"):
        st.image("./images/04-01-2025-QuinnciaAICareers-flyer.jpg", use_container_width =True)
        st.link_button(label="Watch Video Recording", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:v:/g/personal/czhang_wtamu_edu/EadFJdYaxtxIkL9rbWvw4dYBKRMCbCGJ2EOdxlK9VGjF1g?nav=eyJyZWZlcnJhbEluZm8iOnsicmVmZXJyYWxBcHAiOiJPbmVEcml2ZUZvckJ1c2luZXNzIiwicmVmZXJyYWxBcHBQbGF0Zm9ybSI6IldlYiIsInJlZmVycmFsTW9kZSI6InZpZXciLCJyZWZlcnJhbFZpZXciOiJNeUZpbGVzTGlua0NvcHkifX0&e=IssCxQ", )
        st.divider()

    with st.expander("**🎤 02/05/2025: AI101: An Introduction to AI in Business ```Speaker: Carl Zhang```**"):
        st.image("./images/02-05-2025-AI101.jpg", use_container_width =True)
        st.link_button(label="Download PDF Slides", use_container_width=True, type="primary", url=" https://wtamu0-my.sharepoint.com/:b:/g/personal/czhang_wtamu_edu/EXmWbH3-pf1JnTTq81Rj-1ABqbTCaWUexZZVimKR1JFItg?e=k12fYD", )
        st.link_button(label="Watch Video Recording", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:v:/g/personal/czhang_wtamu_edu/EenNF8VAT-ZGvOsmFlFDdlgBr_mW1QKczVj5r0nyUA-BXA?nav=eyJyZWZlcnJhbEluZm8iOnsicmVmZXJyYWxBcHAiOiJPbmVEcml2ZUZvckJ1c2luZXNzIiwicmVmZXJyYWxBcHBQbGF0Zm9ybSI6IldlYiIsInJlZmVycmFsTW9kZSI6InZpZXciLCJyZWZlcnJhbFZpZXciOiJNeUZpbGVzTGlua0NvcHkifX0&e=Ritih3", )
        st.divider()

    with st.expander("**🎤 11/19/2024: Linux Security and Web Server Setup ```Speaker: Sam Packer```**"):
    # for linux talk
        # st.subheader(" :two: Linux Security and Web Server Setup")
        st.image("./images/11-19-2024-CaddyAndLinux.jpg", use_container_width =True)
        st.link_button(label="Watch Video Recording", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:v:/g/personal/czhang_wtamu_edu/EdgZHrnkqihNrOZGYAT6O2MBSRBOBMv3czD_uIE21KgsWw?nav=eyJyZWZlcnJhbEluZm8iOnsicmVmZXJyYWxBcHAiOiJPbmVEcml2ZUZvckJ1c2luZXNzIiwicmVmZXJyYWxBcHBQbGF0Zm9ybSI6IldlYiIsInJlZmVycmFsTW9kZSI6InZpZXciLCJyZWZlcnJhbFZpZXciOiJNeUZpbGVzTGlua0NvcHkifX0&e=obIoyY", )
        st.link_button(label="Download PDF Instruction", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:b:/g/personal/czhang_wtamu_edu/Eaygqoc_FqxNgYj3BlEOXhsBzOj-BWTbNKwkpJEYSDBwgA?e=K7qxSU", )
        st.divider()
    
    with st.expander("**🎤 11/05/2024: Introduction to Streamlit ```Speaker: Carl Zhang```**"):
        # for streamlit talk
        
        st.image("./images/11-05-2024-Streamlit.jpg", use_container_width =True)
        st.link_button(label="Watch Video Recording", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:v:/g/personal/czhang_wtamu_edu/EZBXalcLWaxHquMkZxOWXz8BV2yBo_A1OURZin0ZM0XliQ?nav=eyJyZWZlcnJhbEluZm8iOnsicmVmZXJyYWxBcHAiOiJPbmVEcml2ZUZvckJ1c2luZXNzIiwicmVmZXJyYWxBcHBQbGF0Zm9ybSI6IldlYiIsInJlZmVycmFsTW9kZSI6InZpZXciLCJyZWZlcnJhbFZpZXciOiJNeUZpbGVzTGlua0NvcHkifX0&e=SJD0A4", )
        st.divider()

    with st.expander("**🎤 04/18/2023:Job Search International Student ```Speaker: Ada Li```**"):
        st.image("./images/04-18-2023-AdaLi-InternationalStudentJobSearch-flyer.png", use_container_width =True)
        st.link_button(label="Watch Video Recording", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:v:/g/personal/czhang_wtamu_edu/EeN6jrLacqVHh_pe4J2KjcABAcub0l3e5uTQFrgEIWF_Ow?nav=eyJyZWZlcnJhbEluZm8iOnsicmVmZXJyYWxBcHAiOiJPbmVEcml2ZUZvckJ1c2luZXNzIiwicmVmZXJyYWxBcHBQbGF0Zm9ybSI6IldlYiIsInJlZmVycmFsTW9kZSI6InZpZXciLCJyZWZlcnJhbFZpZXciOiJNeUZpbGVzTGlua0NvcHkifX0&e=AvfRuy", )
        st.link_button(label="Download PDF Slides", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:b:/g/personal/czhang_wtamu_edu/EekfzADFSVdFgX1OmwomCH4BFhmB43WwjGXZEWS5LJnldA?e=OGDm2p", )
        st.divider()
        
    with st.expander("**🎤 02/16/2023:Exploring the Connected World: Introduction to IoT ```Speaker: Carl Zhang```**"):
        st.image("./images/02-16-2023-CarlZhang-IoT-flyer.jpg", use_container_width =True)
        st.link_button(label="Watch Video Recording", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:v:/g/personal/czhang_wtamu_edu/EQjrie9DoBVNr4WM1hOEa4gBCHl7qY51D_VAgL79DS7pDg?nav=eyJyZWZlcnJhbEluZm8iOnsicmVmZXJyYWxBcHAiOiJPbmVEcml2ZUZvckJ1c2luZXNzIiwicmVmZXJyYWxBcHBQbGF0Zm9ybSI6IldlYiIsInJlZmVycmFsTW9kZSI6InZpZXciLCJyZWZlcnJhbFZpZXciOiJNeUZpbGVzTGlua0NvcHkifX0&e=r6m0gl", )
        st.link_button(label="Download PDF Slides", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:b:/g/personal/czhang_wtamu_edu/Ee0KYlrSOgxCn48-WVDrUUMBgBrWXY8XR4yMZ6nUmQN2ew?e=Ss3dCt", )
        st.divider()

    with st.expander("**🎤 09-30-2022:Intern Experience In A Tech Company ```Speaker: Yotam Balbul```**"):
        st.image("./images/09-30-2022-YotamInternExperience-flyer.jpg", use_container_width =True)
        st.link_button(label="Watch Video Recording", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:v:/g/personal/czhang_wtamu_edu/EWW10IvifwdKixEdyCeaafcBbbJsFXhXP49nYmBROGeRrQ?nav=eyJyZWZlcnJhbEluZm8iOnsicmVmZXJyYWxBcHAiOiJPbmVEcml2ZUZvckJ1c2luZXNzIiwicmVmZXJyYWxBcHBQbGF0Zm9ybSI6IldlYiIsInJlZmVycmFsTW9kZSI6InZpZXciLCJyZWZlcnJhbFZpZXciOiJNeUZpbGVzTGlua0NvcHkifX0&e=WVoDaW", )
        st.link_button(label="Download PDF Slides", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:b:/g/personal/czhang_wtamu_edu/EVU8cqdChtdHqmIfuar6ctkBg9--6GHxJX-UXqqM1eo1Cg?e=cjx90I", )
        st.divider()

    with st.expander("**🎤 10/14/2021:Working as Data Engineer in A Tech Company```Speaker: Ada Li```**"):
        st.image("./images/10-14-2021-WorkingAsDataEngineer-flyer.jpg", use_container_width =True)
        st.link_button(label="Download PDF Slides", use_container_width=True, type="primary", url="https://docs.google.com/presentation/d/1_Yktc38IkIx8nop5lDa3XRexxpo_70Vi/edit?usp=sharing&ouid=107196671903715665546&rtpof=true&sd=true", )
        st.divider()
